summaryrefslogtreecommitdiff
path: root/libre/virtualbox-libre/virtualbox-libre-host-source.install
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-09-18 20:23:44 -0300
committerAndré Fabian Silva Delgado <emulatorman@lavabit.com>2012-09-18 20:23:44 -0300
commit40d4c1b76da8220edb0996cc03b86bfc89434ecf (patch)
tree0ecd3aea22bcd33918bc04d7ab8a1ecf2cf182c2 /libre/virtualbox-libre/virtualbox-libre-host-source.install
parent981f06acfd4757d7454f0b30674b4515c0e48c02 (diff)
downloadabslibre-40d4c1b76da8220edb0996cc03b86bfc89434ecf.tar.gz
abslibre-40d4c1b76da8220edb0996cc03b86bfc89434ecf.tar.bz2
abslibre-40d4c1b76da8220edb0996cc03b86bfc89434ecf.zip
virtualbox-libre-4.2.0-1: updating version
Diffstat (limited to 'libre/virtualbox-libre/virtualbox-libre-host-source.install')
-rwxr-xr-xlibre/virtualbox-libre/virtualbox-libre-host-source.install29
1 files changed, 29 insertions, 0 deletions
diff --git a/libre/virtualbox-libre/virtualbox-libre-host-source.install b/libre/virtualbox-libre/virtualbox-libre-host-source.install
new file mode 100755
index 000000000..6a3994c8d
--- /dev/null
+++ b/libre/virtualbox-libre/virtualbox-libre-host-source.install
@@ -0,0 +1,29 @@
+#/bin/sh
+
+# arg 1: the new package version
+post_install() {
+ cat << EOF
+==> To build and install your modules run dkms install vboxhost/${1%-*}
+==> To do this automatically at startup you can add dkms in your DAEMONS
+EOF
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+pre_upgrade() {
+ pre_remove "$2"
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ post_install "$1"
+}
+
+# arg 1: the old package version
+pre_remove() {
+ # Remove modules using dkms
+ [ -n "${1%-*}" ] && dkms remove vboxhost/${1%-*} --all >/dev/null || true
+}
+
+# vim:set ts=2 sw=2 ft=sh et: